package com.example.instilostandfound;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Toast;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class MyPosts extends AppCompatActivity  {
    String items[] = new String[] {"apple", "banana"};

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_my_posts);

        final List<Map<String, String>> of = new ArrayList<Map<String, String>>();
        List<Map<String, String>> ol = new ArrayList<Map<String, String>>();
        Map<String, String> of1 = new HashMap<String, String>();
        of1.put("key", "123");
        of1.put("category","electronics");
        of1.put("name","Phone");
        of1.put("description","Lenovo Z+. Black colour.");
        of1.put("date","28th Oct 2019");
        of1.put("type","found");
        of1.put("place","CC103");
        of.add(of1);

        Map<String, String> of2 = new HashMap<String, String>();
        of2.put("key", "456");
        of2.put("category","money");
        of2.put("name","wallet");
        of2.put("description","green colour baggit");
        of2.put("date","28th Oct 2019");
        of2.put("type","found");
        of2.put("place","sic201");
        of.add(of2);

        String of_names[] = new String[of.size()];
        for(int i=0; i<of.size();i++){
            of_names[i] = of.get(i).get("name");
        }

        ListView listView = (ListView) findViewById(R.id.listviewlost);
        ArrayAdapter<String> adaptor = new ArrayAdapter<String>(this,
                android.R.layout.simple_list_item_1, of_names);
        listView.setAdapter(adaptor);

        listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                Toast.makeText(MyPosts.this, items[position], Toast.LENGTH_SHORT).show();
                Intent intent = new Intent(MyPosts.this, ItemDetails.class);
                intent.putExtra("category", "Electronics");
                intent.putExtra("name", of.get(position).get("name"));
                intent.putExtra("place", of.get(position).get("place"));
                intent.putExtra("description", of.get(position).get("description"));
                intent.putExtra("date", of.get(position).get("date"));
                intent.putExtra("key", of.get(position).get("key"));
                intent.putExtra("type", of.get(position).get("type"));
                startActivity(intent);
            }
        });
    }
}
